[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'dbugmsg' (#fcl)

# ReadDebugMessageFromStream

Read a message from stream

## Declaration

Source position: dbugmsg.pp line 40

`procedure ReadDebugMessageFromStream(`
`AStream: TStream;`
`var Msg: TDebugMessage`
`);`

## Arguments

`AStream` |  | Stream from which record is read
`Msg` |  | Record to be read from stream

## Description

ReadDebugMessageFromStream reads a TDebugMessage record (Msg) from the stream AStream.

The record is not read in a byte-ordering safe way, i.e. it cannot be exchanged between little- and big-endian systems.

## Errors

If the stream contains not enough bytes or is malformed, then an exception may be raised.

## See also

TDebugMessage |  | Structure describing a message
WriteDebugMessageToStream |  | Write a message to stream

Documentation generated on: Feb 26 2014